Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Class PersonDirNameFinderFactory

    java.lang.Object
      org.jasig.portal.groups.PersonDirNameFinderFactory

All Implemented Interfaces:
  IEntityNameFinderFactory

    public class PersonDirNameFinderFactory

extends java.lang.Object
implements IEntityNameFinderFactory

Factory for creating and obtaining reference to a static singleton `PersonDirNameFinder`.

Version:
  $Revision: 1.6 $
Author:
  Alex Vigdor

Field Summary
`private static PersonDirNameFinder` | `PERSON_DIR_NAME_FINDER_INSTANCE` Lazily initialized static singleton PersonDirNameFinder backed by the IPersonAttributeDao provided by the PersonDirectory static service.

Constructor Summary
`PersonDirNameFinderFactory()` Do-nothing constructor.

Method Summary
`IEntityNameFinder` | `newFinder()` Get the static singleton PersonDirNameFinder instance backed by PersonDirectory.
`private static void` | `storeSingleton()` Intantiates the static singleton field PERSON_DIR_NAME_FINDER_INSTANCE.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSON_DIR_NAME_FINDER_INSTANCE

    private static PersonDirNameFinder PERSON_DIR_NAME_FINDER_INSTANCE

  Lazily initialized static singleton PersonDirNameFinder backed by the IPersonAttributeDao provided by the PersonDirectory static service.

Constructor Detail

### PersonDirNameFinderFactory

    public PersonDirNameFinderFactory()

  Do-nothing constructor.

Method Detail

### newFinder

    public IEntityNameFinder newFinder()

  Get the static singleton PersonDirNameFinder instance backed by PersonDirectory.

  Specified by:
    `newFinder` in interface `IEntityNameFinderFactory`
  Returns:
    the static singleton PersonDirNameFinder backed by PersonDirectory

### storeSingleton

    private static void storeSingleton()

  Intantiates the static singleton field PERSON_DIR_NAME_FINDER_INSTANCE. Synchronized to guarantee singletonness of the field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD